Loading...
Searching...
No Matches
irrString.h File Reference
`#include "irrTypes.h"`
`#include "irrAllocator.h"`
`#include "irrMath.h"`
`#include <stdio.h>`
`#include <string.h>`
`#include <stdlib.h>`

Go to the source code of this file.

## Classes

class | irr::core::string< T, TAlloc >

## Namespaces

namespace | irr
| Everything in the Irrlicht Engine can be found in this namespace.
namespace | irr::core
| Basic classes such as vectors, planes, arrays, lists, and so on can be found in this namespace.

## Typedefs

typedef string< c8 > | irr::core::stringc
| Typedef for character strings.
typedef string< wchar_t > | irr::core::stringw
| Typedef for wide character strings.

## Enumerations

enum | irr::core::eLocaleID { irr::core::IRR_LOCALE_ANSI = 0 , irr::core::IRR_LOCALE_GERMAN = 1 }
| Very simple string class with some useful features. More...

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0